Loading...
Searching...
No Matches
Dune::CommPolicy< ::Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp > > Struct Template Reference

specialization of the CommPolicy struct, required for the ParallelIndexsets More...

`#include <dune/grid-glue/adapter/gridgluecommunicate.hh>`

## Public Types

typedef ::Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp > | Type
| The type of the GridGlueCommInfo.
typedef DataTypeImp | IndexedType
| The datatype that should be communicated.
typedef VariableSize | IndexedTypeFlag
| Each intersection can communicate a different number of objects.

## Static Public Member Functions

static size_t | getSize (const Type &commInfo, size_t i)
| Get the number of objects at an intersection.

## Detailed Description

template<typename GG, class DataHandleImp, class DataTypeImp>
struct Dune::CommPolicy< ::Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp > >

specialization of the CommPolicy struct, required for the ParallelIndexsets

## Member Typedef Documentation

## IndexedType

template<typename GG, class DataHandleImp, class DataTypeImp>

typedef DataTypeImp Dune::CommPolicy< ::Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp > >::IndexedType

The datatype that should be communicated.

## IndexedTypeFlag

template<typename GG, class DataHandleImp, class DataTypeImp>

typedef VariableSize Dune::CommPolicy< ::Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp > >::IndexedTypeFlag

Each intersection can communicate a different number of objects.

## Type

template<typename GG, class DataHandleImp, class DataTypeImp>

typedef ::Dune::GridGlue::CommInfo<GG, DataHandleImp, DataTypeImp> Dune::CommPolicy< ::Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp > >::Type

The type of the GridGlueCommInfo.

## Member Function Documentation

## getSize()

template<typename GG, class DataHandleImp, class DataTypeImp>

size_t Dune::CommPolicy< ::Dune::GridGlue::CommInfo< GG, DataHandleImp, DataTypeImp > >::getSize | ( | const Type & | commInfo,
|  | size_t | i )

inline static

Get the number of objects at an intersection.

The documentation for this struct was generated from the following file:

- gridgluecommunicate.hh